# Maintainer: Rafael from azul repository

pkgname=yaru-theme-sound
pkgver=22.04.4
pkgrel=1.1
dname=Yaru
pkgdesc='Yaru theme sound from Ubuntu.'
arch=('any')
url='https://launchpad.net/ubuntu/+source/yaru-theme'
urldown='https://launchpad.net/ubuntu/+archive/primary/+files'
license=('GPL3')
provides=("${pkgname}-${pkgver}")
conflicts=("yaru-sound-theme")
source=("${urldown}/${pkgname}_${pkgver}_all.deb")
sha512sums=('ee176309dc4a2a48e2e562cf26aadc74bd44f3911e1bc971aca67aefddcadfcd11e0f0a0c6a63d111af514ad3593a29d20010b3731a99c8f425380174937a58b')

package() {
  install -dm755 ${pkgdir}/usr/share/doc/${pkgname}
  install -dm755 ${pkgdir}/usr/share/sounds/${dname}
  install -dm755 ${pkgdir}/usr/share/licenses/${pkgname}
  tar -xvf ${srcdir}/data.tar.zst
  cp -r  ${srcdir}/usr/share/doc/${pkgname}/* ${pkgdir}/usr/share/doc/${pkgname}
  cp -r  ${srcdir}/usr/share/sounds/${dname}/* ${pkgdir}/usr/share/sounds/${dname}
  cp -r  ${srcdir}/usr/share/doc/${pkgname}/copyright ${pkgdir}/usr/share/licenses/${pkgname}
  find ${pkgdir}/usr -type f -exec chmod 644 {} \;
  find ${pkgdir}/usr -type d -exec chmod 755 {} \;
}

